ncsa.hdf.hdflib

## Class HDFNotImplementedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ncsa.hdf.hdflib.HDFException
      - - ncsa.hdf.hdflib.HDFJavaException
        - - ncsa.hdf.hdflib.HDFNotImplementedException

All Implemented Interfaces:
  java.io.Serializable

    public class HDFNotImplementedException
    extends HDFJavaException

HDFNotImplementedException indicates a function that is part of the HDF API, but which cannot or will not be implemented for Java.

For instance, C routines which take Unix FILE objects as parameters are not appropriate for the Java interface and will not be implemented. These routines will raise an HDFNotImplementedException.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class ncsa.hdf.hdflib.HDFException

`HDFExceptionMessage, HDFMessage, OutOfMemoryMessage`

### Constructor Summary

Constructors
Constructor and Description
`HDFNotImplementedException()`
`HDFNotImplementedException(java.lang.String s)`

### Method Summary

Methods
`java.lang.String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HDFNotImplementedException

    public HDFNotImplementedException()

#### HDFNotImplementedException

    public HDFNotImplementedException(java.lang.String s)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `HDFJavaException`